cns21xx: add initial support for the Cavium CNS21xx SoC
[openwrt/staging/chunkeey.git] / toolchain / gcc / Config.in
1 # Choose gcc version.
2
3 choice
4 prompt "GCC compiler Version" if TOOLCHAINOPTS
5 default GCC_VERSION_4_3_5 if (avr32 || powerpc64)
6 default GCC_VERSION_4_3_5 if (TARGET_coldfire || TARGET_etrax || TARGET_gemini || TARGET_cns21xx)
7 default GCC_VERSION_4_3_3_CS if (arm || armeb) && !(TARGET_gemini || TARGET_cns21xx || TARGET_omap35xx)
8 default GCC_VERSION_4_3_3_CS if (mips || mipsel) && !(TARGET_octeon || TARGET_sibyte)
9 default GCC_VERSION_4_4_5 if (powerpc || ubicom32)
10 default GCC_VERSION_4_4_5 if (TARGET_omap35xx || TARGET_octeon || TARGET_sibyte)
11 default GCC_VERSION_4_5_1_LINARO if sparc
12 default GCC_VERSION_4_1_2
13 help
14 Select the version of gcc you wish to use.
15
16 config GCC_VERSION_4_1_2
17 bool "gcc 4.1.2"
18
19 config GCC_VERSION_4_2_4
20 bool "gcc 4.2.4"
21
22 config GCC_VERSION_4_3_5
23 bool "gcc 4.3.5"
24
25 config GCC_VERSION_4_4_5
26 bool "gcc 4.4.5"
27
28 config GCC_VERSION_4_5_2
29 bool "gcc 4.5.2"
30
31 config GCC_VERSION_4_5_1_LINARO
32 bool "gcc 4.5.1 with Linaro enhancements"
33
34 config GCC_VERSION_LLVM
35 bool "llvm-gcc 4.2"
36 depends BROKEN
37
38 config GCC_VERSION_4_3_3_CS
39 bool "gcc 4.3.3 with CodeSourcery enhancements"
40
41 config GCC_VERSION_4_4_1_CS
42 bool "gcc 4.4.1 with CodeSourcery enhancements"
43
44 endchoice
45
46 config GCC_USE_GRAPHITE
47 bool
48 prompt "Compile in support for the new Graphite framework in GCC 4.4+" if TOOLCHAINOPTS
49 depends GCC_VERSION_4_4 || GCC_VERSION_4_5
50
51 config GCC_USE_SYSTEM_PPL_CLOOG
52 bool
53 prompt "Use the system versions of PPL and CLooG"
54 depends GCC_USE_GRAPHITE
55 default n
56
57 config EXTRA_GCC_CONFIG_OPTIONS
58 string
59 prompt "Additional gcc configure options" if TOOLCHAINOPTS
60 default ""
61 help
62 Any additional gcc options you may want to include....
63
64 config SSP_SUPPORT
65 bool
66 prompt "Enable Stack-Smashing Protection support" if TOOLCHAINOPTS
67 default n
68 help
69 Enable Stack-Smashing Protection support
70
71 config TLS_SUPPORT
72 bool
73 depends UCLIBC_VERSION_NPTL
74 prompt "Enable Thread-local storage (TLS) support" if TOOLCHAINOPTS
75 default n
76 help
77 Enable Thread-local storage support
78
79 config INSTALL_LIBSTDCPP
80 bool
81 prompt "Build/install c++ compiler and libstdc++?" if TOOLCHAINOPTS
82 default y
83 help
84 Build/install c++ compiler and libstdc++?
85
86 config INSTALL_LIBGCJ
87 bool
88 depends on !(GCC_VERSION_4_1||GCC_VERSION_4_2)
89 prompt "Build/install java compiler and GNU classpath ?" if TOOLCHAINOPTS
90 default n
91 help
92 Build/install java compiler and GNU classpath ?